class CreateCities < ActiveRecord::Migration[8.0]
  def change
    create_table :cities do |t|
      t.string :name
      t.string :country
      t.float :latitude
      t.float :longitude
      t.boolean :active
      t.integer :priority
      t.string :timezone
      t.string :region
      t.datetime :last_weather_fetch
      t.datetime :last_image_generation

      t.timestamps
    end
  end
end
